var toolbox = require("./toolbox.js")
var game = require("./game.js")

benvenuto();
game.player1 = sceltaCarattere(1);
game.player2 = sceltaCarattere(2);
game.init();
game.mostraForza4();

while(true)
{
    if(gameCase(1))
    {
        console.log("Il player 1 ha vinto");
        break;
    }
    if(gameCase(2))
    {
        console.log("Il player 2 ha vinto");
        break;
    }
}

function benvenuto()
{
    var txt ="***********************************************\n";    
    txt += "Benvenuto/a su Forza 4\n";
    txt += "******************************************************";
    console.log(txt);
}

function sceltaCarattere(player)
{
    var txt = "Scegli la lettera o simbolo che vuoi utilizzare per il giocatore " + player + ":";
    return toolbox.scriviStringa(txt);
}

/**
 * Verifica che il giocatore 1 sta in game
 * @param {*} player 
 * @returns 
 */
function gameCase(player)
{
    var lineaVuota = -1;
    var colonna = -1;
    while(lineaVuota === -1 || colonna <= 0 || colonna > 7)
    {
        console.log("Scegliere una colonna in una zona vuota");
        var colonna = game.scegliereColonna();
        var lineaVuota = game.ritornaLineaCasellaVuotaColonna(colonna);
    }
    game.giocaColpo(player, lineaVuota, colonna);
    game.mostraForza4();
    return game.verificaFineDelGioco(player); // aggiungere player
}ox