var readline = require("readline-sync")

var toolbox = {
    scriviStringa: function(txt)
    {
        return readline.question(txt);
    },
    
    /**
     * Permette di initializzare una tabella in una tabella in funzione di un numero di linee e di colonne messe come parametri
     * @param {*} nLinee 
     * @param {*} nColonne 
     * @param {*} element 
     * @returns 
     */
    initTable: function(nLinee, nColonne, element = '')
    {
        var tab = [];
        for(var i = 0; i < nLinee; i++) 
        {
            var linea = [];
            for(var j = 0; j < nColonne; j++)
            {
                linea.push(element);
            }
            tab.push(linea);
        }
        return tab;
    }
}
module.exports = toolbox;